
(in-package sugar-qsp.api)

(defpsmacro with-call-args (args &body body)
  `(progn
     (init-args ,args)
     ,@body
     (get-result)))

(defpsmacro with-frame (&body body)
  `(progn
     (push-local-frame)
     (unwind-protect
          ,@body
       (pop-local-frame))))
